Subject: Re: is there a cygwin maintainer for gnu emacs?
From: "emacs user" <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Sun, 28 Aug 2005 16:57:50 -0400

some more diagnostics on the bug that causes repeated crashes under cygwin;  
I'd be happy to get additional advice as to what else I can do to help 
identify the source of the problem:

/usr/local/emacs/src $ gdb emacs
GNU gdb 6.3.50_2004-12-28-cvs (cygwin-special)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain 
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i686-pc-cygwin"...
DISPLAY = :0.0
TERM = xterm
Breakpoint 1 at 0x2009a9d6: file emacs.c, line 461.
Breakpoint 2 at 0x2007d92c: file xterm.c, line 7795.
(gdb) run
Starting program: /usr/local/emacs/src/emacs.exe -geometry 80x40+0+0

Breakpoint 1, abort () at emacs.c:461
---Type <return> to continue, or q <return> to quit---
461	  kill (getpid (), SIGABRT);
(gdb) bt
#0  abort () at emacs.c:461
#1  0x200ed701 in mark_object (arg=536986903) at alloc.c:5468
#2  0x200ee07f in Fgarbage_collect () at alloc.c:4810
#3  0x2010229f in Feval (form=598803029) at eval.c:2101
#4  0x20100d28 in internal_condition_case_1 (bfun=0x20101f60 <Feval>,
    arg=598803029, handlers=539867737,
    hfun=0x200a0ab0 <menu_item_eval_property_1>) at eval.c:1493
#5  0x200a0b42 in menu_item_eval_property (sexpr=598803029) at 
keyboard.c:7152
#6  0x200acfae in get_keyelt (object=540053249, autoload=1) at keymap.c:811
#7  0x200ad603 in access_keymap (map=539826429, idx=539849353, t_ok=2,
    noinherit=0, autoload=1) at keymap.c:643
#8  0x200a17cc in tool_bar_items (reuse=598839300, nitems=0x22db38)
    at keyboard.c:7609
#9  0x2001c6ff in update_tool_bar (f=0x202be400, save_match_data=0)
    at xdisp.c:8877
#10 0x2002a540 in prepare_menu_bars () at xdisp.c:8583
#11 0x2002a956 in redisplay_internal (preserve_echo_area=7) at xdisp.c:10265
#12 0x2002b978 in redisplay_preserve_echo_area (from_where=12) at 
xdisp.c:10876
#13 0x20137629 in wait_reading_process_output (time_limit=30, microsecs=0,
    read_kbd=-1, do_display=1, wait_for_cell=539795457, wait_proc=0x0,
    just_wait_proc=0) at process.c:4575
#14 0x20009437 in sit_for (sec=30, usec=0, reading=1, display=1,
    initial_display=0) at dispnew.c:6405
#15 0x200a5a7e in read_char (commandflag=1, nmaps=2, maps=0x22e930,
---Type <return> to continue, or q <return> to quit---
    prev_event=539795457, used_mouse_menu=0x22e978) at keyboard.c:2769
#16 0x200a79b7 in read_key_sequence (keybuf=0x22ead0, bufsize=30,
    prompt=539795457, dont_downcase_last=0, can_return_switch_frame=1,
    fix_current_buffer=1) at keyboard.c:8818
#17 0x200a94e1 in command_loop_1 () at keyboard.c:1529
#18 0x20101022 in internal_condition_case (bfun=0x200a9340 <command_loop_1>,
    handlers=539867737, hfun=0x200a2e80 <cmd_error>) at eval.c:1452
#19 0x2009d01e in command_loop_2 () at keyboard.c:1319
#20 0x20100f2f in internal_catch (tag=539856857,
    func=0x2009cff0 <command_loop_2>, arg=539795457) at eval.c:1211
#21 0x2009ce03 in command_loop () at keyboard.c:1298
#22 0x2009cea4 in recursive_edit_1 () at keyboard.c:991
#23 0x2009cfb0 in Frecursive_edit () at keyboard.c:1052
#24 0x2009c2fd in main (argc=3, argv=0x202c35c0) at emacs.c:1782
(gdb) print last_marked_index
$1 = 389
(gdb)  print last_marked[388]
$2 = 536986903
(gdb) xbt
Undefined command: "xbt".  Try "help".
(gdb) xtype
Lisp_Type_Limit
(gdb) print last_marked[388]
$3 = 536986903
(gdb) xtype
Lisp_Type_Limit
(gdb)

>From: Joe Buehler <[email-masked]>
>Reply-To: [email-masked]
>To: [email-masked]
>CC: [email-masked],  [email-masked],  [email-masked]
>Subject: Re: is there a cygwin maintainer for gnu emacs?
>Date: Tue, 09 Aug 2005 14:15:39 -0400
>
>On Tue, 09 Aug 2005 01:08:36 -0400, emacs user <[email-masked]> 
>wrote:
>
> >>
> >> Ehud, thnx for the reply; I didn't do any rebasing (don't know what 
>that
> >> is), and the problem is that emacs crashes about every 5 minutes, 
>mostly in
> >> latex mode when I use the combination of auctex/preview/x-symbol.  very
> >> painful...   I don't have any such difficulties when using precisely 
>the
> >> same combination under linux.
> >>
>
>1. Run emacs under gdb and see if you can get a stack backtrace
>from gdb after emacs dies.  It will depend on how emacs dies
>whether you can do this.
>
>2. Failing that, run strace on emacs and send me the output (say,
>the last couple thousand lines) after it dies.  I may be able to
>deduce something from that.
>--
>Joe Buehler
>

_________________________________________________________________
Don’t just search. Find. Check out the new MSN Search! 
http://search.msn.click-url.com/go/onm00200636ave/direct/01/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/